Skip to main content

Quarterly Cashflow Statement

Retrieve quarterly cash flow statement data for a specific company.

GET/3.0/company/financials/cashflow/quarterly

Description

This endpoint returns quarterly cash flow statement data including operating, investing, and financing cash flows for a specific company. Provides detailed breakdown of cash movements, sources, and uses on a quarterly basis.

Request

Authentication

  • Type: Bearer Token
  • Required: Yes

Parameters

NameTypeRequiredDescriptionExample
symbolstringYesStock symbol/ticker code for the companyLUCK

Response

Success Response (200)

{
"status": "ok",
"message": "",
"data": {
"symbol": "DGKC",
"created": "2025-06-24T07:06:08.048Z",
"interval": "quarterly",
"consolidated": false,
"type": "cashflow",
"periods": [
{
"year": "2025",
"quarter": "Q3",
"period_end": "2025-03-31",
"year_end_diff": 3
},
{
"year": "2025",
"quarter": "Q2",
"period_end": "2024-12-31",
"year_end_diff": 3
}
],
"fields": [
{
"label": "Profit before taxation",
"values": [
8335221,
4917323
],
"is_heading": false,
"key": null
},
{
"label": "Depreciation on fixed assets ",
"values": [
2839623,
1882064
],
"is_heading": false,
"key": "dep_fa"
},
{
"label": "Amortization ",
"values": [
21840,
13995
],
"is_heading": false,
"key": "amort"
},
{
"label": "Working capital changes",
"values": [
-723618,
2276499
],
"is_heading": false,
"key": "wor_capc"
},
{
"label": "Cash generated from operations",
"values": [
11308314,
10012103
],
"is_heading": false,
"key": null
},
{
"label": "Income tax paid",
"values": [
-1087750,
-174082
],
"is_heading": false,
"key": null
},
{
"label": "Net cash flow from operating activities",
"values": [
5848881,
6017567
],
"is_heading": false,
"key": "net_cf_oa"
},
{
"label": "Dividends received",
"values": [
2942275,
2010504
],
"is_heading": false,
"key": "div_rec"
},
{
"label": "Purchase of fixed assets ",
"values": [
-1219280,
-1045703
],
"is_heading": false,
"key": "pur_fa"
},
{
"label": "Proceeds from sale of fixed assets ",
"values": [
48436,
35286
],
"is_heading": false,
"key": "pro_sale_fa"
},
{
"label": "Net cash flow used in investing activities",
"values": [
1963809,
1175751
],
"is_heading": false,
"key": "net_cf_ia"
},
{
"label": "Repayment of long term finances",
"values": [
-7794515,
-4230150
],
"is_heading": false,
"key": null
},
{
"label": "Dividend Paid",
"values": [
-23,
-23
],
"is_heading": false,
"key": "div_paid"
},
{
"label": "Long-term loan obtained",
"values": [
null,
null
],
"is_heading": false,
"key": "lt_load"
},
{
"label": "Net cash flow used in financing activities",
"values": [
-7794538,
-4230173
],
"is_heading": false,
"key": "net_cf_fina"
},
{
"label": "Increase in cash and cash equivalent",
"values": [
18152,
2963145
],
"is_heading": false,
"key": "inc_cash_eq"
},
{
"label": "Cash and cash equivalents at beginning of the period ",
"values": [
-12332550,
-12332550
],
"is_heading": false,
"key": "cash_eq_bop"
},
{
"label": "Cash and cash equivalents at end of the period",
"values": [
-12309463,
-9363215
],
"is_heading": false,
"key": "cash_eq_eop"
}
]
}
}

Response Fields

FieldTypeDescription
symbolstringCompany stock symbol
createdstringData creation timestamp (ISO 8601 format)
intervalstringReporting interval (quarterly, annual)
consolidatedbooleanWhether financials are consolidated
typestringType of financial statement (income, balance, cash_flow)
periodsarrayArray of reporting periods View
fieldsarrayArray of financial line items View

Periods Array Fields

FieldTypeDescription
yearstringFiscal year
quarterstringQuarter indicator (Q1, Q2, Q3, Q4)
period_endstringPeriod end date (YYYY-MM-DD)
year_end_diffintegerMonth difference from year end

Fields Array Fields

FieldTypeDescription
labelstringLine item label/description
valuesarrayArray of values corresponding to each period
is_headingbooleanWhether this is a section heading
keystringMachine-readable key for the line item

Error Responses

For detailed Common Error responses, see the Error Handling.

Missing Symbol (200)

{
"status": "error",
"message": "no `symbol` provided"
}

Examples

Get Quarterly Cash Flow Statement

curl -X GET "https://csapis.com/3.0/company/financials/cashflow/quarterly?symbol=LUCK" \
-H "Authorization: Bearer YOUR_API_TOKEN"

Use Cases

  • Quarterly Cash Flow Analysis: Track cash generation on a quarterly basis
  • Seasonality Detection: Identify seasonal patterns in cash flows
  • Operating Performance: Monitor operating cash flow trends by quarter
  • Capital Allocation: Track quarterly investment and financing activities
  • Working Capital Management: Assess quarterly working capital changes
  • Quarterly Reports: Use for quarterly investor communications
  • Dividend Assessment: Evaluate quarterly cash available for distributions